Package org.wso2.carbon.mediation.initializer.services

# Class SynapseRegistrationsServiceImpl

java.lang.Object
org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsServiceImpl

All Implemented Interfaces:
  `SynapseRegistrationsService`

public class SynapseRegistrationsServiceImpl extends Object implements SynapseRegistrationsService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynapseRegistrationsServiceImpl(org.osgi.framework.ServiceRegistration synCfgSvcReg, org.osgi.framework.ServiceRegistration synEnvSvcReg, int tenantId, org.apache.axis2.context.ConfigurationContext configCtx)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.axis2.context.ConfigurationContext`
  `getConfigurationContext()`
  Get the ConfigurationContext for this SynapseConfiguration
  `org.osgi.framework.ServiceRegistration`
  `getSynapseConfigurationServiceRegistration()`
  `org.osgi.framework.ServiceRegistration`
  `getSynapseEnvironmentServiceRegistration()`
  `int`
  `getTenantId()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SynapseRegistrationsServiceImpl

    public SynapseRegistrationsServiceImpl(org.osgi.framework.ServiceRegistration synCfgSvcReg, org.osgi.framework.ServiceRegistration synEnvSvcReg, int tenantId, org.apache.axis2.context.ConfigurationContext configCtx)

- ## Method Details

  - ### getSynapseConfigurationServiceRegistration

    public org.osgi.framework.ServiceRegistration getSynapseConfigurationServiceRegistration()
    Specified by:
      `getSynapseConfigurationServiceRegistration` in interface `SynapseRegistrationsService`

  - ### getSynapseEnvironmentServiceRegistration

    public org.osgi.framework.ServiceRegistration getSynapseEnvironmentServiceRegistration()
    Specified by:
      `getSynapseEnvironmentServiceRegistration` in interface `SynapseRegistrationsService`

  - ### getTenantId

    public int getTenantId()
    Specified by:
      `getTenantId` in interface `SynapseRegistrationsService`

  - ### getConfigurationContext

    public org.apache.axis2.context.ConfigurationContext getConfigurationContext()
    Description copied from interface: `SynapseRegistrationsService`
    Get the ConfigurationContext for this SynapseConfiguration
    Specified by:
      `getConfigurationContext` in interface `SynapseRegistrationsService`
    Returns:
      the ConfigurationContext